- entityDefinitions:
  - IDC_SystemDataSource: '{5b825229-57c7-45c6-b00d-1860350daca8}'
  - IDR_System_Data_Source__uses__Return_Instance_Set_Method_Binding: '{9f871701-9c08-4833-ad19-b7a44e88c054}'
  - IDR_Return_Instance_Set_Method_Binding__used_by__System_Data_Source: '{7a12f023-8a13-4d7b-a9ba-2b2cd5854a00}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_SystemDataSource;'
    name: System Data Source
    index: 1435
    moduleId: '&IDI_Module_MochaBaseSystem_Reporting;'
    customTagName: 'systemDataSource'
    superclasses:
    - instance: '&IDC_DataSource;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_System_Data_Source__uses__Return_Instance_Set_Method_Binding;'
      customTagName: 'usesReturnInstanceSetMethodBinding'
  
  - relationship: '&IDR_System_Data_Source__uses__Return_Instance_Set_Method_Binding;'
    index: 3712
    sourceClassId: '&IDC_SystemDataSource;'
    type: 'uses'
    destinationClassId: '&IDC_ReturnInstanceSetMethodBinding;'
    siblingRelationshipId: '&IDR_Return_Instance_Set_Method_Binding__used_by__System_Data_Source;'
    singular: yes

  - relationship: '&IDR_Return_Instance_Set_Method_Binding__used_by__System_Data_Source;'
    index: 3713
    sourceClassId: '&IDC_ReturnInstanceSetMethodBinding;'
    type: 'used by'
    destinationClassId: '&IDC_SystemDataSource;'
    siblingRelationshipId: '&IDR_System_Data_Source__uses__Return_Instance_Set_Method_Binding;'
    singular: no
    
  - systemDataSource: '&IDI_DataSource_AllClasses;'
    usesReturnInstanceSetMethodBinding: '&IDMB_Class__get__All_Classes;'
    name: 'All Classes'
